<template>
  <div>
    <section
      class="relative bg-secondary h-[calc(25vh+80px)] md:h-[calc(25vh+80px)] flex items-center justify-center"
    >
      <img
        src="/hosting-banner.webp"
        class="absolute top-0 bottom-0 left-0 right-0 object-cover object-center w-full h-full select-none opacity-20"
        alt=""
        loading="lazy"
      />
      <div
        class="relative px-10 mx-auto text-center lg:px-0 lg:max-w-6xl mt-[40px]"
      >
        <h1
          class="relative bai flex items-center justify-center mb-10 text-3xl font-normal uppercase lg:flex-row text-primary lg:text-6xl bai mt-[40px]"
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            class="w-10 mr-5 lg:w-20"
            viewBox="0 0 84.818 79"
          >
            <g transform="translate(-438 -193.228)">
              <g transform="translate(438 193.228)">
                <path
                  d="M0,84.326,17.924,94.675v-20.7L0,63.63Z"
                  transform="translate(0 -15.675)"
                  fill="#ffda00"
                />
                <path
                  d="M23.782,73.979v20.7L41.707,84.326V63.63Z"
                  transform="translate(-5.859 -15.675)"
                  fill="#2b353e"
                />
                <path
                  d="M0,60.247,17.924,70.6,35.848,60.247,17.924,49.9Z"
                  transform="translate(0 -12.293)"
                  fill="#c29f00"
                />
                <path
                  d="M88.76,73.979v20.7l17.924-10.349V63.63Z"
                  transform="translate(-21.866 -15.675)"
                  fill="#2b353e"
                />
                <path
                  d="M64.976,60.247,82.9,70.6l17.924-10.348L82.9,49.9Z"
                  transform="translate(-16.007 -12.293)"
                  fill="#c29f00"
                />
                <path
                  d="M64.976,84.326,82.9,94.675v-20.7L64.976,63.63Z"
                  transform="translate(-16.007 -15.675)"
                  fill="#ffda00"
                />
                <path
                  d="M56.271,44.776,74.2,34.428v-20.7L56.271,24.08Z"
                  transform="translate(-13.862 -3.383)"
                  fill="#2b353e"
                />
                <path
                  d="M50.412,24.08,32.488,13.731v20.7L50.412,44.776Z"
                  transform="translate(-8.003 -3.383)"
                  fill="#ffda00"
                />
                <path
                  d="M50.412,0,32.488,10.348,50.412,20.7,68.336,10.348Z"
                  transform="translate(-8.003)"
                  fill="#c29f00"
                />
              </g>
            </g>
          </svg>

          <div class="flex flex-col items-center justify-center lg:flex-row">
            {{ $t('hosting.title') }}
          </div>
        </h1>
      </div>
    </section>

    <section class="relative py-16 bg-secondary">
      <div
        class="grid grid-cols-1 gap-8 px-10 mx-auto lg:max-w-6xl md:grid-cols-3"
      >
        <div class="flex items-center md:col-span-2">
          <p class="text-base leading-10 text-muted montserrat">
            {{ $t('hosting.text') }}
          </p>
        </div>
        <div class="flex items-center">
          <div class="relative w-full h-full overflow-hidden rounded-md bg-primary">
            <img src="/portada_hosting1.webp" class="object-cover object-center w-full h-full" alt="" />
          </div>
        </div>
      </div>

      <div class="hidden px-10 mx-auto mt-16 lg:max-w-6xl">
        <div
          class="mb-8 text-2xl font-normal uppercase bai text-primary lg:text-4xl"
        >
          Modelo de Negocio
        </div>

        <ul>
          <li
            class="flex items-center justify-start text-xl font-normal text-white uppercase bai lg:text-3xl"
          >
            <span class="mr-2 text-primary">•</span> Todo en uno
          </li>
          <li
            class="flex items-center justify-start text-xl font-normal text-white uppercase bai lg:text-3xl"
          >
            <span class="mr-2 text-primary">•</span> Reparto de beneficios
          </li>
        </ul>

        <ul class="mt-10 text-base leading-10 text-muted montserrat">
          <li>*Los gastos de importación corren a cargo del cliente.</li>
          <li>
            *Los costes varían en función de la cantidad y el modelo de las
            máquinas.
          </li>
        </ul>
      </div>
    </section>

    <div class="px-10 mx-auto lg:max-w-6xl">
      <UtilsSlider :slides="slides" />

      <div
        class="flex flex-col justify-center mt-16 space-x-0 space-y-8 items-left lg:flex-row lg:space-x-8 lg:space-y-0"
      >
        <a
          href="/briefs/hoja-de-venta-hospedaje.pdf"
          download="Hoja de venta - Hospedaje"
          class="btn btn-primary"
          >{{ $t('hosting.button') }}</a
        >
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'HostingPage',

  nuxtI18n: {
    paths: {
      en: '/mine/services/hosting',
      es: '/mina/servicios/hosting',
    },
  },

  data() {
    return {
      slides: [
        'hosting1.webp',
        'hosting2.webp',
        'hosting3.webp',
        'hosting4.webp',
        'hosting5.webp',
        'hosting6.webp',
      ],
    }
  },
}
</script>

<style></style>
